function imgSeed = getSeedImg(img, seed)


    seedF = seed > 0;

    % mark each point as a cross for better visibility
    seedF = getSeedCross(seedF);

    img = applyColor(img, seedF, [0 255 0]);
    
    seedB = seed < 0;
 
    seedB = getSeedCross(seedB);
    
    imgSeed = applyColor(img, seedB, [255 0 0]);
    
    function rgb = applyColor(rgb, mask, color)
        % Apply a color to the points in the image selected by mask
            
        for j=1:3
            select = zeros([size(rgb, 1), size(rgb, 2), 3]);
            select(:, :, j) = mask;
            rgb(select ~= 0) = color(j);
        end
    end
    
    function P1=getSeedCross(P)
       
        height=size(P,1);
        width=size(P,2);
        P1=P;
        for i=2:height-1
            for j=2:width-1
                
                if P(i,j)
                    P1(i,j-3:j+3)=1;
                    P1(i-3:i+3,j)=1;
                     
                end
            end
        end
    end

end

